QGIS Application - Bug report #2857
Automatically change tools and right menu issue
2010-07-02 02:15 AM - dr -

Status: Closed

Priority: Low

Assignee:

Category: GUI

Affected QGIS version:master Regression?: No
Operating System: Windows Easy fix?: No
Pull Request or Patch supplied: Resolution: invalid
Crashes QGIS or corrupls data: Copied to github as #: 12917
Description

1. Open raster layer;
2. Choose Measure Line or Measure Area tool and get an error message:
This map is defined with a geographic coordinate system (latitude/longitude) but the map extents suggests that it is actually a

projected coordinate system (e.g., Mercator). If so, the results from line or area measurements will be incorrect.

3. Press Ok;
4. Choose Pan Map tool and click right button in the View. Pan Map tool automatically changes to Measure Line or Measure Area tool (the
first bug) and throws up error message.

5. Click Ok and get right menu (the second bug).

History

#1 - 2010-07-02 02:25 AM - dr -

Upd.

4. Choose Pan Map or Zoom In or Zoom Out or maybe any another tool...

#2 - 2011-03-12 02:19 AM - Borys Jurgiel

The first "bug" is a feature - right click on the map canvas switches to the previous tool.

The second one | don't understand. There's no map canvas context menu...

#3 - 2011-04-10 11:24 PM - sunilkcube -

- Status changed from Open to In Progress

#4 - 2011-04-11 01:18 AM - Giuseppe Sucameli

As borysiasty said the first is a feature (right click on canvas switches to the previous non-zoom/non-pan tool).

About the second bug, | cannot confirm here on Ubuntu. It's set as Win platforms bug.
#5 - 2011-04-11 04:52 AM - Jiirgen Fischer

What raster did you open and what coordinate system did it have (or which one did QGIS detect)?

| guess it didn't have any usable information about it's coordinate system and therefore defaulted to WGS84, but did have coordinates outside

-90°-90°/-180°-180°.

If so, there is no bug at all. Both restoring the last non-zoom tool on right click and complaining about invalid coordinates are features (ie. intended

behaviour).

#6 - 2011-12-16 01:56 PM - Giovanni Manghi
- Target version changed from Version 1.7.0 to Version 1.7.4

#7 - 2012-04-16 06:24 AM - Paolo Cavallini
- Target version changed from Version 1.7.4 to Version 1.8.0
- Crashes QGIS or corrupts data set to No

- Affected QGIS version set to master

#8 - 2012-09-04 12:02 PM - Paolo Cavallini
- Target version changed from Version 1.8.0 to Version 2.0.0

#9 - 2014-06-02 04:27 AM - Nathan Woodrow
- Pull Request or Patch supplied set to No

- Status changed from In Progress to Closed

- Assignee deleted (sunilkcube -)

- Resolution set to invalid

These are both features not bugs.
